#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 idris
version:              1.3.3
visibility:           public
id:                   idris-1.3.3-3tX2oPk4RB93QcYhBc4FEB
key:                  idris-1.3.3-3tX2oPk4RB93QcYhBc4FEB
license:              BSD-3-Clause
maintainer:           Niklas Larsson <niklas@mm.st>
author:               Edwin Brady
stability:            Beta
homepage:             https://www.idris-lang.org/
synopsis:             Functional Programming Language with Dependent Types
description:
    Idris is a general purpose language with full dependent types.
    It is compiled, with eager evaluation.
    Dependent types allow types to be predicated on values,
    meaning that some aspects of a program'\''s behaviour can be
    specified precisely in the type. The language is closely
    related to Epigram and Agda. There is a tutorial at
    <https://www.idris-lang.org/documentation>.
    Features include:

    * Full, first class, dependent types with dependent pattern matching

    * where clauses, with rule, case expressions,
    pattern matching let and lambda bindings

    * Interfaces (similar to type classes), monad comprehensions

    * do notation, idiom brackets, syntactic conveniences for lists,
    tuples, dependent pairs

    * Totality checking

    * Coinductive types

    * Indentation significant syntax, extensible syntax

    * Cumulative universes

    * Simple foreign function interface (to C)

    * Hugs style interactive environment

category:             Compilers/Interpreters, Dependent Types
abi:                  76b2f9bbf57208c28d408e94943eaa67
exposed:              True
exposed-modules:
    IRTS.Bytecode IRTS.CodegenC IRTS.CodegenCommon
    IRTS.CodegenJavaScript IRTS.Compiler IRTS.Defunctionalise
    IRTS.DumpBC IRTS.Exports IRTS.Inliner IRTS.JavaScript.AST
    IRTS.JavaScript.Codegen IRTS.JavaScript.LangTransforms
    IRTS.JavaScript.Name IRTS.JavaScript.PrimOp
    IRTS.JavaScript.Specialize IRTS.Lang IRTS.LangOpts IRTS.Portable
    IRTS.Simplified IRTS.System Idris.ASTUtils Idris.AbsSyntax
    Idris.AbsSyntaxTree Idris.Apropos Idris.CaseSplit Idris.Chaser
    Idris.CmdOptions Idris.Colours Idris.Completion Idris.Core.Binary
    Idris.Core.CaseTree Idris.Core.Constraints Idris.Core.DeepSeq
    Idris.Core.Elaborate Idris.Core.Evaluate Idris.Core.Execute
    Idris.Core.ProofState Idris.Core.ProofTerm Idris.Core.TT
    Idris.Core.Typecheck Idris.Core.Unify Idris.Core.WHNF
    Idris.Coverage Idris.DSL Idris.DataOpts Idris.DeepSeq
    Idris.Delaborate Idris.Directives Idris.Docs Idris.Docstrings
    Idris.Elab.AsPat Idris.Elab.Clause Idris.Elab.Data
    Idris.Elab.Implementation Idris.Elab.Interface Idris.Elab.Provider
    Idris.Elab.Quasiquote Idris.Elab.Record Idris.Elab.Rewrite
    Idris.Elab.RunElab Idris.Elab.Term Idris.Elab.Transform
    Idris.Elab.Type Idris.Elab.Utils Idris.Elab.Value Idris.ElabDecls
    Idris.Erasure Idris.ErrReverse Idris.Error Idris.Help Idris.IBC
    Idris.IdeMode Idris.IdrisDoc Idris.Imports Idris.Info
    Idris.Info.Show Idris.Inliner Idris.Interactive Idris.Main
    Idris.ModeCommon Idris.Options Idris.Output Idris.Package
    Idris.Package.Common Idris.Package.Parser Idris.Parser
    Idris.Parser.Data Idris.Parser.Expr Idris.Parser.Helpers
    Idris.Parser.Ops Idris.Parser.Stack Idris.PartialEval
    Idris.Primitives Idris.ProofSearch Idris.Prover Idris.Providers
    Idris.REPL Idris.REPL.Browse Idris.REPL.Commands Idris.REPL.Parser
    Idris.Reflection Idris.Termination Idris.Transforms
    Idris.TypeSearch Idris.Unlit Idris.WhoCalls Util.DynamicLinker
    Util.ScreenSize Util.System

hidden-modules:
    Util.Pretty Util.Net Paths_idris Version_idris Tools_idris
    BuildFlags_idris

import-dirs:          /usr/lib/ghc-8.10.1/site-local/idris-1.3.3
library-dirs:         /usr/lib/ghc-8.10.1/site-local/idris-1.3.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/idris
hs-libraries:         HSidris-1.3.3-3tX2oPk4RB93QcYhBc4FEB
extra-libraries:      gmp
depends:
    aeson-1.5.2.0-Dn5yhgMBsP9BMfGA2vLCmV
    annotated-wl-pprint-0.7.0-5AIkoQx8i1025QrzXHJkLX
    ansi-terminal-0.10.3-E3kxjaaGddEBequdUXYygZ
    ansi-wl-pprint-0.6.9-CByhL4W7ge34W2ilfXAAQG array-0.5.4.0
    async-2.2.2-Kie0PdqkdR49Rys3fAOkEi base-4.14.0.0
    base64-bytestring-1.1.0.0-ENfrsgNChVs3DCvJVuoSnb binary-0.8.8.0
    blaze-html-0.9.1.2-5cVY0w9vla17uuQH3D0SUe
    blaze-markup-0.8.2.5-E0VoL1TqmRy2UxY2gFpx0K bytestring-0.10.10.0
    cheapskate-0.1.1.2-K6xftcPoeBPFwjHnwUgEun
    code-page-0.2-Hd303LwEsRgBXOr5sG6RzS containers-0.6.2.1
    deepseq-1.4.4.0 directory-1.3.6.0 filepath-1.4.2.1
    fingertree-0.1.4.2-2sgBmK8v45a95oW4827NJY
    fsnotify-0.3.0.1-7X9x0yC9aDU9WJTQB5KkyM
    haskeline-0.7.5.0-Ak9HcrznbY1Hwiu2y3pc8L
    ieee754-0.8.0-KMHK0GtLIS3IfVtQsAJj3f
    libffi-0.1-FWl0XBl4LvEDJd8zwvScHs
    megaparsec-8.0.0-J8LJRtYUELjYl88DzZtUx mtl-2.2.2
    network-3.1.1.1-GOd6U5iJ5goI00wUhGxCqR
    optparse-applicative-0.15.1.0-Hp8NxAYjG3tHbeZkpvpxec
    parser-combinators-1.2.1-3iWCRg2UQJfK48MB7cEEXE pretty-1.1.3.6
    process-1.6.8.2 regex-tdfa-1.3.1.0-HPvdYMAdCmlIUvSVzIJAm1
    safe-0.3.19-CK0lfIX5mWD7fu30IXX07t
    split-0.2.3.4-I2Voq0QcJK5FrKDioOF6gT
    terminal-size-0.3.2.1-CDCO963D77gKCavfBZSlNE text-1.2.3.2
    time-1.9.3 transformers-0.5.6.2
    uniplate-1.6.12-7csxCxlungRBv3FbAX1aM unix-2.7.2.2
    unordered-containers-0.2.11.0-HkHTKJ34jxLBLVmLFyIg2F
    utf8-string-1.0.1.1-L5P9SR8YxIu1NqwMrJwV7a
    vector-0.12.1.2-2820kU4E8Rq2FpOG9Xf2aE
    vector-binary-instances-0.2.5.1-C2cFQXgGceEEtsg8FAKKfZ
    zip-archive-0.4.1-J3R7VkCNVZ88FdLbQjjx2

haddock-interfaces:   /usr/share/doc/idris/html/idris.haddock
haddock-html:         /usr/share/doc/idris/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

